:PROPERTIES:
:ID: 5829e016-76ea-4674-96ea-a099a733518c
:END:
#+title: 2016-08-29

* Debate Showcase :academia:CSLA:@personal:
:PROPERTIES:
:CREATED: [2016-08-29 Mon 13:06]
:MODIFIED: [2016-08-29 Mon 13:50]
:IMPORTED: [2023-02-08 Wed 19:22]
:END:

Historical: Not the time

Taxation: they are unaware, but they don't. Tackled the local councils but neglected national parliaments

-

The European Convention acknowledges the right to participation but does
not operationalise it. For foreigners living in country, there is no way
forward.

Singapore and Cambodia. Suggests that the ministry of interior is a good representative of popular interest

Are you saying foreigner are minors? mentally unable? criminals?

Affirmative action leads to insecurity

8%

Voting does not mean representation. If you have the right to vote, then you SHOULD have the right
